Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Interface HasMetaData

All Known Subinterfaces:
  JAbstractMethod, JAnnotationMethod, JAnnotationType, JArrayType, JClassType, JConstructor, JEnumConstant, JEnumType, JField, JGenericType, JMethod, JParameter, JParameterizedType, JRawType, JRealClassType, JTypeParameter, JWildcardType

Deprecated. Formerly used to manage Javadoc-comment style metadata. Replaced by Java 1.5 annotations. All implementations now return empty arrays. This interface and all implementations methods will be removed in a future release.

    @Deprecated
    public interface HasMetaData

Method Summary
`java.lang.String[][]` | `getMetaData(java.lang.String tagName)` Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. See `HasAnnotations.getAnnotation(Class)` for equivalent functionality.
`java.lang.String[]` | `getMetaDataTags()` Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. The `HasAnnotations` interface does not support a mechanism to enumerate all of the annotations on a member; the type of the desired annotation must be known.

Method Detail

### getMetaData

    @Deprecated
    java.lang.String[][] getMetaData(java.lang.String tagName)

  Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. See `HasAnnotations.getAnnotation(Class)` for equivalent functionality.

  Gets each list of metadata for the specified tag name.

### getMetaDataTags

    @Deprecated
    java.lang.String[] getMetaDataTags()

  Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. The `HasAnnotations` interface does not support a mechanism to enumerate all of the annotations on a member; the type of the desired annotation must be known.

  Gets the name of available metadata tags.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD